name = "scorm"
compatibility_date = "2025-04-04"
compatibility_flags = [ "nodejs_compat" ]
main = "./workers/app.ts"

[placement]
mode = "smart"


[vars]
CLIENT_ID = "1a5483ab-4521-4702-9115-5857ac676851"
REDIRECT_URI = "https://scorm.eduseg.workers.dev/login"
SCOPE = "openid profile email offline_access"
API_URL = "https://bcs7fgb9og.execute-api.sa-east-1.amazonaws.com"
ISSUER_URL = "https://id.saladeaula.digital"
BUCKET_NAME = "saladeaula.digital"
BUCKET_ENDPOINT = "https://s3.sa-east-1.amazonaws.com"
MEILI_HOST = "https://search.saladeaula.digital"

[observability.logs]
enabled = true
